> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List reports for a specific alert



## OpenAPI

````yaml /openapi/reports.json post /alerts/{alertId}/reports
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /alerts/{alertId}/reports:
    post:
      tags:
        - Reports
      summary: List reports for a specific alert
      operationId: reports.listByAlert
      parameters:
        - name: alertId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                currentOnly:
                  type: boolean
                  default: true
                limit:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  exclusiveMinimum: 0
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                includeTotalCount:
                  type: boolean
                sort:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        enum:
                          - generatedAt
                          - createdAt
                          - updatedAt
                          - sequence
                          - size
                          - filename
                          - referenceNumber
                          - name
                          - outputFormat
                        type: string
                      direction:
                        enum:
                          - asc
                          - desc
                        type: string
                    required:
                      - field
                      - direction
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: ID
                        alertId:
                          type: string
                          format: uuid
                          description: Alert ID
                        contentHash:
                          type: string
                          description: Content Hash
                        filename:
                          type: string
                          description: Filename
                        contentType:
                          type: string
                          description: Content Type
                        size:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Size
                        outputFormat:
                          enum:
                            - xml
                            - txt
                          type: string
                          description: Output Format
                        referenceNumber:
                          type: string
                          description: Reference Number
                        name:
                          type: string
                          description: Name
                        sequence:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Sequence
                        totalParts:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Total Parts
                        isCurrent:
                          type: boolean
                          description: Is Current
                        generatedAt:
                          type: string
                          format: date-time
                          description: Generated At
                        createdAt:
                          type: string
                          format: date-time
                          description: Created At
                        updatedAt:
                          type: string
                          format: date-time
                          description: Updated At
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              name:
                                type: string
                              color:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - name
                              - color
                      required:
                        - id
                        - alertId
                        - contentHash
                        - filename
                        - contentType
                        - size
                        - outputFormat
                        - sequence
                        - totalParts
                        - isCurrent
                        - generatedAt
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````